<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.yhgl.mapper.YhsjqxMapper">

<!--    设置自增ID-->
    <insert id="add">
        <selectKey  keyProperty="id" resultType="long" order="BEFORE">
            select nvl(max(id), 0)+1 from YH_SJQX
        </selectKey>
        insert into YH_SJQX(ID, USER_ID, CBBBM) values(#{id}, #{data.userId}, #{data.cbbbm})
    </insert>


</mapper>